public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: www-servers/hinsightd/
Date: Wed, 21 Apr 2021 19:40:17 +0000 (UTC)	[thread overview]
Message-ID: <1618994963.b1349123aa8262d56069a350b766e03813c2becb.andrewammerlaan@gentoo> (raw)

commit:     b1349123aa8262d56069a350b766e03813c2becb
Author:     tiotags <tiotags1 <AT> gmail <DOT> com>
AuthorDate: Wed Apr 21 08:49:23 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Apr 21 08:49:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b1349123

www-servers/hinsightd: added ebuild 0.9.0

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Alexandru Campeanu <tiotags1 <AT> gmail.com>

 www-servers/hinsightd/Manifest               |  1 +
 www-servers/hinsightd/hinsightd-0.9.0.ebuild | 64 ++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/www-servers/hinsightd/Manifest b/www-servers/hinsightd/Manifest
new file mode 100644
index 000000000..61940dc50
--- /dev/null
+++ b/www-servers/hinsightd/Manifest
@@ -0,0 +1 @@
+DIST hin9-v0.9.0.tar.gz 65320 BLAKE2B c1348bc5afffa8804494f6ae228f54874d25cc5f40c17ee2a36f23104286f96f5d616cdc3e98de0854cf7d4b18165a2b70600b32f58024b679d213b2156c1f18 SHA512 60a1ff72d1abf57d8f764ebb77ab77f7069b40bfdbb5bb1c95324b366d1052378ffe36198112a595e08238622654a9c1e1d89679924883f8ff42b98ca7cf139e

diff --git a/www-servers/hinsightd/hinsightd-0.9.0.ebuild b/www-servers/hinsightd/hinsightd-0.9.0.ebuild
new file mode 100644
index 000000000..1a48c1f94
--- /dev/null
+++ b/www-servers/hinsightd/hinsightd-0.9.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} )
+
+inherit fcaps
+
+DESCRIPTION="hinsightd a http/1.1 webserver with (hopefully) minimal goals"
+HOMEPAGE="https://gitlab.com/tiotags/hin9"
+SRC_URI="https://gitlab.com/tiotags/hin9/-/archive/v0.9.0/hin9-v0.9.0.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="" #+openssl
+
+BDEPEND="
+dev-util/ninja
+"
+
+RDEPEND="
+acct-user/hinsightd
+acct-group/hinsightd
+sys-libs/liburing
+dev-lang/lua:*
+sys-libs/zlib
+dev-libs/openssl
+"
+
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+"${FILESDIR}/hinsightd-redefine-directories.patch"
+)
+
+#src_configure() {
+#}
+
+src_compile() {
+	cd build
+	ninja || die
+}
+
+src_install() {
+	newbin "${S}/build/hin9" hinsightd
+	newinitd "${FILESDIR}/init.d.sh" hinsightd
+	#systemd_dounit "${FILESDIR}/hinsightd.service" # not tested
+
+	insinto /etc/hinsightd
+	newins "${S}/workdir/main.lua" hinsightd.lua
+
+	# logrotate
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/logrotate.d.sh hinsightd
+
+	keepdir /var/www/localhost/htdocs
+	keepdir /var/log/hinsightd
+	keepdir /var/tmp/hinsightd
+}
+
+pkg_postinst() {
+	fcaps CAP_NET_BIND_SERVICE /usr/bin/hinsightd
+}


             reply	other threads:[~2021-04-21 19:40 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-21 19:40 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-02 13:58 [gentoo-commits] repo/proj/guru:master commit in: www-servers/hinsightd/ Haelwenn Monnier
2022-08-25  2:01 Ronny Gutbrod
2022-08-24 15:52 Ronny Gutbrod
2022-08-07  9:13 Haelwenn Monnier
2021-09-20 19:06 Arthur Zamarin
2021-09-20  9:41 Andrew Ammerlaan
2021-09-10 10:45 Arthur Zamarin
2021-08-17 16:46 Jian Lin
2021-08-12 12:33 Florian Schmaus
2021-04-30  7:45 Andrew Ammerlaan
2021-04-29  8:23 Michał Górny
2021-04-23 12:25 Andrew Ammerlaan
2021-04-23  8:47 Haelwenn Monnier
2021-04-23  8:47 Haelwenn Monnier
2021-04-22  7:35 Andrew Ammerlaan
2021-04-21 19:40 Andrew Ammerlaan
2021-04-21 19:40 Andrew Ammerlaan
2021-04-18  9:10 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618994963.b1349123aa8262d56069a350b766e03813c2becb.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox